summaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 13:36:22 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 13:36:22 +0000
commit01298f3142627495db94d24bdb314052b12ed110 (patch)
treeded298850a7794d445cc5b4f32d665ba558422d7 /testsuite
parentAdding debian version 0.5-3. (diff)
downloadlzlib-01298f3142627495db94d24bdb314052b12ed110.tar.xz
lzlib-01298f3142627495db94d24bdb314052b12ed110.zip
Merging upstream version 0.6.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/check.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index 2ce2ca5..7b67c93 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -10,6 +10,7 @@ export LC_ALL
objdir=`pwd`
testdir=`cd "$1" ; pwd`
LZIP="${objdir}"/minilzip
+LZCHECK="${objdir}"/lzcheck
framework_failure() { echo 'failure in testing framework'; exit 1; }
if [ ! -x "${LZIP}" ] ; then
@@ -59,10 +60,13 @@ for i in s4096 1 2 3 4 5 6 7 8 9; do
echo -n .
done
+"${LZCHECK}" in || fail=1
+echo -n .
+
echo
-if test ${fail} = 0; then
+if [ ${fail} = 0 ]; then
echo "tests completed successfully."
- if cd "${objdir}" ; then rm -r tmp ; fi
+ cd "${objdir}" && rm -r tmp
else
echo "tests failed."
fi